如何判断git clone
在 bash 脚本中是否有错误?
git clone git@github.com:my-username/my-repo.git
如果有错误,我想简单地exit 1
;
以下是一些常见的形式。选择哪个是最好的取决于你做什么。您可以在单个脚本中使用它们的任何子集或组合,而不会成为糟糕的样式。
if ! failingcommand
then
echo >&2 message
exit 1
fi
failingcommand
ret=$?
if ! test "$ret" -eq 0
then
echo >&2 "command failed with exit status $ret"
exit 1
fi
failingcommand || exit "$?"
failingcommand || { echo >&2 "failed with $?"; exit 1; }
你可以做这样的事情:
git clone git@github.com:my-username/my-repo.git || exit 1
或者执行它:
exec git clone git@github.com:my-username/my-repo.git
后者将允许克隆操作接管 shell 进程,如果失败,则返回错误。 您可以在此处找到有关exec的更多信息。
方法 1:
git clone git@github.com:my-username/my-repo.git || exit 1
方法2:
if ! (git clone git@github.com:my-username/my-repo.git) then
exit 1
# Put Failure actions here...
else
echo "Success"
# Put Success actions here...
fi